package extend.pk.uitl;

import extend.pk.Config;

public enum CardConfig {
	DAN(		"单牌",		Config.TYPE_DANPAI,	1,	1,	1,	1,		0),
	DUIZI(		"对子",		Config.TYPE_DUIZI,		1,	2,	2,	2,		0),
	SHUNZI(	    "顺子",		Config.TYPE_SHUNZI,	3,	1,	3,	10,	0),
	LIANDUI(	"姐妹对",		Config.TYPE_LIANDUI,	2,	2,	4,	10,	0),
	SAN_2(		"三带二",	    Config.TYPE_3_2,			1,	3,	3,	5,		2),
	FEIJI(		"飞机",		Config.TYPE_FEIJI,		2,	3,	6,	10,	4),
	SI_1(		"四带一",		Config.TYPE_4_1,			1,	4,	5,	5,		1),
	SANTIAO(	"三条",		Config.TYPE_3_0,			3,	1,	3,	3,		0),

	TUOLAJI(	"拖拉机",		Config.TYPE_TUOLAJI,			3,	2,	6,	10,		0),

	WUDUI(		"五小对",		Config.TYPE_WUDUI,		10,	1,	10,	10,	0),

	ZHA(		"炸弹",		Config.TYPE_ZHA,		1,	4,	4,	4,		0);
	
	public final int	type;
	public final String	name;
	public final int	min_len;
	public final int	repeat_num;
	public final int	min_card_num;
	public final int	max_card_num;
	public final int	with_card_num;
	
	
	private CardConfig(String name,int type,int min_len,int repeat_num,int min_card_num,int max_card_num,int with_card_num) {
		this.name = name;
		this.type = type;
		
		this.min_len = min_len;
		this.repeat_num = repeat_num;
		this.min_card_num = min_card_num;
		this.max_card_num = max_card_num;
		this.with_card_num = with_card_num;
	}
	
	public String toString() {
		return this.name;
	}
}
